#include "WifiConfig.h"
#include "credentials.h"

void WIFISetUp(void)
{
  if (WiFi.isConnected())
    WiFi.disconnect(true);      // Eventuellement, se déconnecter d'une connexion précédente à un point d'accès

  delay(1000);
  WiFi.mode(WIFI_STA);          // configuration en mode station STA
  WiFi.begin(ssid, password);   // SSID + mot de passe
  delay(100);

  byte count = 0;
  Serial.print("Connexion en cours...");
  while (WiFi.status() != WL_CONNECTED && count < 15)
  {
    count ++;
    delay(500);
    Serial.print(".");
  }
  Serial.println();
  if (WiFi.status() == WL_CONNECTED)
  {
    Serial.println("Connexion OK");

    Serial.print("Adresse IP : ");
    Serial.println(WiFi.localIP());

    Serial.print("Masque de sous-réseau :");
    Serial.println(WiFi.subnetMask());

    Serial.print("Paserelle :");
    Serial.println(WiFi.gatewayIP());

    Serial.print("Adresse MAC :");
    Serial.println(WiFi.macAddress());
  }
  else
  {
    Serial.println("Echec connexion");
    while (1);
  }

  Serial.println("Configuration WiFi terminée");
  delay(500);

  WIFIScan();
  delay(500);
}

void WIFIScan(void)
{
  Serial.println();
  Serial.println("Début scan réseau WiFi...");

  int n = WiFi.scanNetworks();  // Nombre de réseaux trouvés
  delay(500);
  Serial.println("Fin du scan réseau");
  if (n == 0)
  {
    Serial.println("Aucun réseau trouvé");
    while (1);
  }
  else
  {
    Serial.print(n);
    Serial.println(" réseau(x) trouvé(s) :");
    delay(500);

    for (int i = 0; i < n; ++i) {
      // Afficher SSID et RSSI pour chaque réseau trouvé
      Serial.print(i + 1);
      Serial.print(":");
      Serial.print(WiFi.SSID(i));
      Serial.print(" (");
      Serial.print(WiFi.RSSI(i));   // Received Signal Strength, force du signal en dBm
      Serial.println(")");
      //  Serial.println((WiFi.encryptionType(i) == WIFI_AUTH_OPEN)?" ":"*");
      delay(10);
    }
    Serial.println();
  }
  delay(100);
}
