/*************************************************************************************************************************************
 *       Serveur Web sur DevKit ESP32 - V0.2
 *       
 *       Voir la discussion forum sur Developpez.com :
 * https://www.developpez.net/forums/d2085877/general-developpement/programmation-systeme/embarque/contribuez/esp32-creer-serveur-web/
 * 
 *       Le principe et les codes sont (fortement) inspirés par le tutoriel 
 *       de naute (https://www.developpez.net/forums/u292302/naute/) en trois parties :
 *       
 *       Le navigateur aux commandes de l’Arduino 
 *         - https://herve-troadec.developpez.com/tutoriels/arduino/le-navigateur-aux-commandes-de-l-arduino-partie-1/
 *         - https://herve-troadec.developpez.com/tutoriels/arduino/le-navigateur-aux-commandes-de-l-arduino-partie-2/
 *         - https://herve-troadec.developpez.com/tutoriels/arduino/le-navigateur-aux-commandes-de-l-arduino-partie-3/
 *      
 *       Licence CC-BY-NC-SA 2020
 *      
 *                                                         Juillet 2020
 *                                                         f-leb (https://www.developpez.net/forums/u283256/f-leb/)
 *                                                         
 **************************************************************************************************************************************/

#include "HandleWebServer.h"
#include "WifiConfig.h"
#include "hardware.h"

// Initialisation d'une instance de bus 1-Wire
OneWire oneWire(oneWireBusPin);

// Initialisation de capteurs Dallas DS18b20 sur le bus 1-Wire
DallasTemperature temperatureSensors(&oneWire);

AsyncWebServer myServer(80); // instance du serveur web

void setup()
{
  temperatureSensors.begin();    // Démarrage capteurs ds18b20
  pinMode(ledPin, OUTPUT);       // ledPin en sortie

  Serial.begin(115200);          // Port série pour debug
  delay(100);
  SPIFFS.begin();                // Démarrage système de fichiers

  WIFISetUp();                   // Configuration WiFi

  configServer();                // Configuration serveur Web
  myServer.begin();              // Démarrage serveur Web
  Serial.println("Démarrage du serveur Web HTTP");
}

void loop()
{
  /*
    Serial.print(getTemperature(), 1);
    Serial.println("ºC");
    delay(1000);
  */
}
